package com.bjtdba.entity.wares;

import java.math.BigDecimal;

public class Merchant {
    /**
     * 商户ID
     */
    private Integer mer_id;
    /**
     * 商户名称
     */
    private String mer_name;
    /**
     * 商户头像
     */
    private String mer_avatar;
    /**
     * 商品描述评分
     */
    private BigDecimal product_score;
    /**
     * 服务评分
     */
    private BigDecimal service_score;
    /**
     *物流评分
     */
    private BigDecimal postage_score;
    /**
     * 店铺电话
     */
    private String service_phone;

    /**
     * 关注总数   人气
     */
    private Integer care_count;

    /**
     * 关键字
     */
    private String mer_keyword;

    /**
     * 纬度
     */
    private String lat;

    /**
     * 经度
     */
    private String lng;

    /**
     * 商品分类ID
     */
    private Integer category_id;

    /**
     *是否推荐
     */
    private String is_best;

    /**
     * 商户类型
     */
    private Integer merchant_type;

    /**
     * 销量
     */
    private Integer sales;

    /**
     * create_time
     *
     */
    private String create_time;

    /**
     *distance   距离排序
     */
    private Double distance;

    public Double getDistance() {
        return distance;
    }

    public void setDistance(Double distance) {
        this.distance = Math.round( distance/100d)/10d;
    }

    public String getCreate_time() {
        return create_time;
    }

    public void setCreate_time(String create_time) {
        this.create_time = create_time;
    }

    public Integer getSales() {
        return sales;
    }

    public void setSales(Integer sales) {
        this.sales = sales;
    }

    public Integer getMerchant_type() {
        return merchant_type;
    }

    public void setMerchant_type(Integer merchant_type) {
        this.merchant_type = merchant_type;
    }

    public String getIs_best() {
        return is_best;
    }

    public void setIs_best(String is_best) {
        this.is_best = is_best;
    }

    public Integer getCategory_id() {
        return category_id;
    }

    public void setCategory_id(Integer category_id) {
        this.category_id = category_id;
    }

    public String getMer_keyword() {
        return mer_keyword;
    }

    public void setMer_keyword(String mer_keyword) {
        this.mer_keyword = mer_keyword;
    }

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getLng() {
        return lng;
    }

    public void setLng(String lng) {
        this.lng = lng;
    }

    public Integer getMer_id() {
        return mer_id;
    }

    public void setMer_id(Integer mer_id) {
        this.mer_id = mer_id;
    }

    public String getMer_name() {
        return mer_name;
    }

    public void setMer_name(String mer_name) {
        this.mer_name = mer_name;
    }

    public String getMer_avatar() {
        return mer_avatar;
    }

    public void setMer_avatar(String mer_avatar) {
        this.mer_avatar = mer_avatar;
    }

    public BigDecimal getProduct_score() {
        return product_score;
    }

    public void setProduct_score(BigDecimal product_score) {
        this.product_score = product_score;
    }

    public BigDecimal getService_score() {
        return service_score;
    }

    public void setService_score(BigDecimal service_score) {
        this.service_score = service_score;
    }

    public BigDecimal getPostage_score() {
        return postage_score;
    }

    public void setPostage_score(BigDecimal postage_score) {
        this.postage_score = postage_score;
    }

    public String getService_phone() {
        return service_phone;
    }

    public void setService_phone(String service_phone) {
        this.service_phone = service_phone;
    }

    public Integer getCare_count() {
        return care_count;
    }

    public void setCare_count(Integer care_count) {
        this.care_count = care_count;
    }
}
